Language

Package: mpfi @ 1.5.4

Synopsis

C library for arbitrary-precision interval arithmetic

Description

MPFI is a portable C library for arbitrary-precision interval arithmetic, with intervals represented using MPFR reliable floating-point numbers. It's based on the GMP and GNU MPFR libraries.

The purpose of arbitrary-precision interval arithmetic is to get results that are both guaranteed, thanks to interval computation, and accurate, thanks to multiple-precision arithmetic.

Home page
https://gforge.inria.fr/projects/mpfi/
Location
gnu/packages/multiprecision.scm (line: 159, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/ck4z0dj6g9mxxcmqj3mh3s94nkrwr1lm-mpfi-1.5.4.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/z286k0gwqcs97kqacij7mbwc2vzwj1f8-mpfi-1.5.4.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/8gdkiyv4j2yvpfjw69cd35lj9z3alv77-mpfi-1.5.4.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/3g5c7mla465gbim086bfwxa4knvmf5b6-mpfi-1.5.4.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/8cz20z03bvdwf973b676qgfd64bjmqfw-mpfi-1.5.4.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/sn5c0k6bcm524yg2qqh79rcwx8yrz8zf-mpfi-1.5.4.drv
x86_64-linuxi686-w64-mingw32/gnu/store/bzz5r4bahz924x911ab3rvsxr30qb4ac-mpfi-1.5.4.drv
x86_64-linuxi586-pc-gnu/gnu/store/z1h167ixi9021c8pcybvhgfh80y8rj53-mpfi-1.5.4.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/6n2y7cgdnslxaln894fakak46i1s2y7n-mpfi-1.5.4.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/ya26bhp3bhksrcynyk8qxkwmkg6chc5g-mpfi-1.5.4.drv
riscv64-linux/gnu/store/kr654g1hp3d5j5fbncl1yfyx9knq573b-mpfi-1.5.4.drv
    powerpc-linux/gnu/store/zyc7bwg2il8lcz1xg5pzk54p7vvzyb2m-mpfi-1.5.4.drv
      powerpc64le-linux/gnu/store/xxc1p9q5q5629vzyrnjqd5a7zrzkqbdp-mpfi-1.5.4.drv
      mips64el-linux/gnu/store/pm1f09zhkg60349v2ql70p438b3am62q-mpfi-1.5.4.drv
        i686-linux/gnu/store/5a92kdzi41vk4hl27qwwqn6kjsvjq6fx-mpfi-1.5.4.drv
        i586-gnu/gnu/store/bqy119gw90vq9i396c5yb1ji7ms4wcl1-mpfi-1.5.4.drv
        armhf-linux/gnu/store/ph07r8g63iymxw134qdja116b7wxfi8z-mpfi-1.5.4.drv
        aarch64-linux/gnu/store/6zl35gg74ag8ivhd6bb0m9i7n9z3fql8-mpfi-1.5.4.drv

        Lint warnings

        LinterMessageLocation
        input-labels

        Identify input labels that do not match package names

        label 'autoreconf' does not match package name 'autoconf'